Bug 168063 - kernel 2.6.12-1.1447_FC4 and laptop suspension
kernel 2.6.12-1.1447_FC4 and laptop suspension
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-11 22:36 EDT by Michal Jaegermann
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 04:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-09-11 22:36:05 EDT
Description of problem:

I am trying to suspend to memory Acer Travelmate 230 latop running
2.6.12-1.1447_FC4 kernel.  First of all this requires acpi_sleep=s3_bios
kernel parameter or video will be not restored.  When this is supplied
that laptop does a passable suspend with some gotchas (see comments in 
bug #127163 and bug #140205).

Still even after unloading uhci_hcd and ehci_hcd modules I am seeing
things of that sort:

.....

ACPI: PCI interrupt for device 0000:00:1d.2 disabled
Stopping tasks: =============================================================|
ACPI: PCI interrupt for device 0000:02:09.0 disabled
ACPI: PCI interrupt for device 0000:00:1f.6 disabled
ACPI: PCI interrupt for device 0000:00:1f.5 disabled
ACPI: 1 drivers with interrupt 10 neglected to call pci_disable_device at .suspend
ACPI: Fix the driver, or rmmod before suspend
ACPI: 1 drivers with interrupt 11 neglected to call pci_disable_device at .suspend
ACPI: Fix the driver, or rmmod before suspend
....

It is kinda hard to follow that advice.  This is how these two interrupts
look:

 10:        299          XT-PIC  Intel 82801DB-ICH4 Modem,
                i915@pci:0000:00:02.0, Intel 82801DB-ICH4, yenta, uhci_hcd:usb1
 11:       4986          XT-PIC  eth0, uhci_hcd:usb2, uhci_hcd:usb3,
                                                               ehci_hcd:usb4

As I wrote I am already removing and later re-inserting USB modules.
This is not sound and modem, as they do work after a return from suspend
and removing them still leaves "Fix the driver" message intact.  Rmmoding
vide or yenta support is rather hard.  If a Cardbus slot works after
suspend I do not know now as at this moment I do not have a hardware to test.
It says in logs on a resume:

Yenta O2: res at 0x94/0xD4: 00/ca
Yenta O2: enabling read prefetch/write burst

so hopefuly it is ok. Networking is not adversly affected by suspend/resume.

Devices 00:1d.2, 02:09.0, 00:1f.6 and 00:1f.5 are USB UHCI Controller #3,
CardBus/SmartCardBus Controller, Modem Controller and Audio Controller
respectively so it is not clear what else may be unhappy.

BTW - there is "Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+" for
a network card.

Doing 'modprobe -r/modprobe' on a 'floppy' module does not help either
with complaints above or with a floppy access after resume (i.e. it is
still dead).

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447_FC4

How reproducible:
always
Comment 1 Warren Togami 2005-09-11 22:50:42 EDT
http://people.redhat.com/davej/kernels/Fedora/
Please retest with the newer test kernels from here.
Comment 2 Michal Jaegermann 2005-09-12 00:26:12 EDT
I do not see any differences, in matters described in this report, in logs
between 2.6.12-1.1454_FC4 from http://people.redhat.com/davej/kernels/Fedora/
and 2.6.12-1.1447_FC4.  OTOH with both kernels this mostly works and
a suspended machine is not loosing time anymore (which is really appreciated).

A floppy situation did not change but, at least here, this is only a relatively
minor annoyance.
Comment 3 Dave Jones 2005-09-30 03:10:00 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 4 Michal Jaegermann 2005-10-24 17:31:38 EDT
With 2.6.13-1.1532_FC4 I do not see anymore "ACPI: Fix the driver..." messages.

Instead something like that showed up:

ACPI: PCI Interrupt 0000:00:1d.7[D] -> Link [LNKH] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: debug port 1
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 4
ehci_hcd 0000:00:1d.7: irq 11, io mem 0xd0080000
PCI: cache line size of 128 is not supported by device 0000:00:1d.7
                        ^^^^^^^^^^^^^^^

This is just an information or it warrants its own bug report? 0000:00:1d.7 is
"Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller", 8086:24cd.

OTOH an infamous "sleeping function called from invalid context at mm/slab.c"
(bug #154046, bug #134905, bug #145250) even if 145250 was closed with
NEXTRELEASE.
Comment 5 Michal Jaegermann 2005-10-24 17:33:36 EDT
Read the previous "OTOH an infamous ... is still there ...".
Comment 6 Dave Jones 2005-10-25 04:44:52 EDT
its just informational.

Note You need to log in before you can comment on or make changes to this bug.